Bug 802036 - readlink fails on CIFS mount
readlink fails on CIFS mount
Status: CLOSED WORKSFORME
Product: GlusterFS
Classification: Community
Component: core (Show other bugs)
pre-2.0
Unspecified Linux
medium Severity medium
: ---
: ---
Assigned To: Amar Tumballi
Ujjwala
: Triaged
Depends On:
Blocks: 853598 858492
  Show dependency treegraph
 
Reported: 2012-03-10 08:07 EST by Ujjwala
Modified: 2015-05-26 08:33 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 853598 (view as bug list)
Environment:
Last Closed: 2012-10-30 10:42:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ujjwala 2012-03-10 08:07:19 EST
Description of problem:
Look up for link files on a CIFS mount fails


Version-Release number of selected component (if applicable):
3.3.0qa26


How reproducible:
Always


Steps to Reproduce:
1. Configure samba and do a cifs mount of the gluster volume on a Linux client.
2. Run Posix tests on the mount pt which creates many symlinks
3. After the tests are completed, do a ls -lh on the mnt pt

  
Actual results:
[root@coverity-machine cifs]# readlink fstest_16aaad323fe141aff916c13aa9918129 
[root@coverity-machine cifs]# echo $?
1
[root@coverity-machine cifs]# ls -lh
ls: cannot access fstest_4cdc259f27290c8f51d58ea962293641: Not a directory
ls: cannot access fstest_dde38409aafd44668f63fc9ffbae5db0: Not a directory
ls: cannot access fstest_408f4545367cb1df7830142cb67e6ad2: Not a directory
ls: cannot access fstest_aded26290f63256ef9d27e4b5c490fd8: Not a directory
ls: cannot access fstest_2b5286843e596f7986b8eca2e02155b6: Not a directory
ls: cannot access fstest_6d156dc1764f19fe2817eb01deff356e: Not a directory
ls: cannot access fstest_c29c8f15a53b7a814f600335f886451b: Not a directory
ls: cannot access fstest_4643f68c15e14fa0846248448e728334: Not a directory
ls: cannot access fstest_7cba4da0625441aee5d7f5d86f1e6d09: No such file or directory
ls: cannot access fstest_5a4a23b8b34449eb449bb99ea0c0c025: Not a directory
ls: cannot access fstest_e79e085d886b454e052528014cb89729: Not a directory
ls: cannot access fstest_23e53fa34b5631cc180ee021ceee753c: Not a directory
ls: cannot access fstest_a95e3f45018dac6789c099eeca81bffe: Not a directory
ls: cannot access fstest_ae357a46dbdfbf96a7671364c3a8d61d: Not a directory
ls: cannot access fstest_d79454f974ff0c2797b450422b9008c6: Not a directory
ls: cannot access fstest_7d41a4be52af464029a675fa8f8f4f00: Not a directory
ls: cannot access fstest_22bfdc5165d68b87f060f9a20ef9d2dc: Not a directory
ls: cannot access fstest_3c836965bc4a484361d539ccde8bdea0: Not a directory
ls: cannot access fstest_16aaad323fe141aff916c13aa9918129: Not a directory
ls: cannot access fstest_fc84a995fb62b2b08ed5d2d62216378b: Not a directory
ls: cannot access fstest_f1c00c9774ad52e14cfe8b0e7dd357c4: Not a directory
ls: cannot access fstest_b353c45d603a6eea8e361e8e58acd3fa: Not a directory
ls: cannot access fstest_4a36fb2592e82c5bbfb24fd80fe97862: Not a directory
total 8.3G
drwx-w----   3 root root    0 Mar  9 23:29 a
drwxr-xr-x   2 root root    0 Mar  8 22:20 abcd
-rw-------   1 root root 7.9G Mar  9 23:41 file1
l?????????   ? ?    ?       ?            ? fstest_16aaad323fe141aff916c13aa9918129
l?????????   ? ?    ?       ?            ? fstest_22bfdc5165d68b87f060f9a20ef9d2dc
l?????????   ? ?    ?       ?            ? fstest_23e53fa34b5631cc180ee021ceee753c
l?????????   ? ?    ?       ?            ? fstest_2b5286843e596f7986b8eca2e02155b6
l?????????   ? ?    ?       ?            ? fstest_3c836965bc4a484361d539ccde8bdea0
l?????????   ? ?    ?       ?            ? fstest_408f4545367cb1df7830142cb67e6ad2
l?????????   ? ?    ?       ?            ? fstest_4643f68c15e14fa0846248448e728334
l?????????   ? ?    ?       ?            ? fstest_4a36fb2592e82c5bbfb24fd80fe97862
l?????????   ? ?    ?       ?            ? fstest_4cdc259f27290c8f51d58ea962293641
l?????????   ? ?    ?       ?            ? fstest_5a4a23b8b34449eb449bb99ea0c0c025
l?????????   ? ?    ?       ?            ? fstest_6d156dc1764f19fe2817eb01deff356e
l?????????   ? ?    ?       ?            ? fstest_7cba4da0625441aee5d7f5d86f1e6d09
l?????????   ? ?    ?       ?            ? fstest_7d41a4be52af464029a675fa8f8f4f00
l?????????   ? ?    ?       ?            ? fstest_a95e3f45018dac6789c099eeca81bffe
l?????????   ? ?    ?       ?            ? fstest_aded26290f63256ef9d27e4b5c490fd8
l?????????   ? ?    ?       ?            ? fstest_ae357a46dbdfbf96a7671364c3a8d61d
l?????????   ? ?    ?       ?            ? fstest_b353c45d603a6eea8e361e8e58acd3fa
l?????????   ? ?    ?       ?            ? fstest_c29c8f15a53b7a814f600335f886451b
l?????????   ? ?    ?       ?            ? fstest_d79454f974ff0c2797b450422b9008c6
l?????????   ? ?    ?       ?            ? fstest_dde38409aafd44668f63fc9ffbae5db0
l?????????   ? ?    ?       ?            ? fstest_e79e085d886b454e052528014cb89729
l?????????   ? ?    ?       ?            ? fstest_f1c00c9774ad52e14cfe8b0e7dd357c4
l?????????   ? ?    ?       ?            ? fstest_fc84a995fb62b2b08ed5d2d62216378b



Expected results:
Readlink should show the corresponding link to the file
ls -lh should show the proper permissions 


Additional info:
Comment 1 Amar Tumballi 2012-09-04 04:09:00 EDT
For RHS 2.0 testing, we didn't notice this issue, can someone in QE confirm?
Comment 2 Amar Tumballi 2012-10-30 10:42:38 EDT
repeated the same set of operations, everything works as expected. closing the bug as WORKSFORME
Comment 3 Niels de Vos 2015-05-26 08:33:12 EDT
This bug has been CLOSED, and there has not been a response to the requested NEEDINFO in more than 4 weeks. The NEEDINFO flag is now getting cleared so that our Bugzilla household is getting more in order.

Note You need to log in before you can comment on or make changes to this bug.